Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl
Class ComponentConfigImpl

    java.lang.Object
      tle.framework.component.impl.ComponentConfigImpl

All Implemented Interfaces:
  ComponentConfig

    public class ComponentConfigImpl

extends java.lang.Object
implements ComponentConfig

ComponentConfig 인터페이스의 구현체

Since:
  2.0
Author:
  최범균
See Also:
  `ComponentConfig`

Constructor Summary
`ComponentConfigImpl()`

Method Summary
`void` | `addInitParameter(java.lang.String name, java.lang.String value)`
`java.lang.String` | `getComponentClass()` 컴포넌트 구현체 클래스의 이름을 구한다.
`java.lang.String` | `getComponentID()` 컴포넌트의 ID를 구한다.
`java.lang.String` | `getDescription()` 컴포넌트에 대한 설명을 구한다.
`java.lang.String` | `getInitParameter(java.lang.String name)` 컴포넌트의 초기화 파라미터를 값을 구한다.
`java.util.Iterator` | `getInitParameterNames()` 컴포넌트의 초기화 파라미터 이름의 목록을 구한다.
`void` | `setComponentClass(java.lang.String name)`
`void` | `setComponentID(java.lang.String id)`
`void` | `setDescription(java.lang.String description)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentConfigImpl

    public ComponentConfigImpl()

Method Detail

### setComponentClass

    public void setComponentClass(java.lang.String name)

### getComponentClass

    public java.lang.String getComponentClass()

  Description copied from interface: `ComponentConfig`
  컴포넌트 구현체 클래스의 이름을 구한다.

  Specified by:
    `getComponentClass` in interface `ComponentConfig`
  Returns:

### setComponentID

    public void setComponentID(java.lang.String id)

### getComponentID

    public java.lang.String getComponentID()

  Description copied from interface: `ComponentConfig`
  컴포넌트의 ID를 구한다.

  Specified by:
    `getComponentID` in interface `ComponentConfig`
  Returns:

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ComponentConfig`
  컴포넌트에 대한 설명을 구한다.

  Specified by:
    `getDescription` in interface `ComponentConfig`
  Returns:

### addInitParameter

    public void addInitParameter(java.lang.String name,
                                 java.lang.String value)

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Description copied from interface: `ComponentConfig`
  컴포넌트의 초기화 파라미터를 값을 구한다.

  지정한 이름의 초기화 파라미터가 존재하지 않으면 null을 리턴한다.

  Specified by:
    `getInitParameter` in interface `ComponentConfig`
  Returns:

### getInitParameterNames

    public java.util.Iterator getInitParameterNames()

  Description copied from interface: `ComponentConfig`
  컴포넌트의 초기화 파라미터 이름의 목록을 구한다.

  Specified by:
    `getInitParameterNames` in interface `ComponentConfig`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD